Summary: Daemon that provides on demand IP links via SLIP or PPP.
Name: diald
Version: 0.99.1
Release: 2
Packager: Michael Hauf <mh@hauf.net>
Copyright: Freely distributable (see LICENSE)
Group: Networking/Daemons
Source0: http://diald.unix.ch/download/diald-0.99.1.tar.gz
Source1: diald.init
Patch0: diald-Makefile.patch
Patch1: diald-route.patch
Patch2: diald-ppp.patch
BuildRoot: /tmp/diald-root
Requires: ppp

%description
Diald is a daemon that provides on demand IP links via SLIP or PPP. The
purpose of diald is to make it transparently appear that you have a
permanent connection to a remote site. Diald sets up a "proxy" device which
stands in for the physical connection to a remote site. It then monitors the
proxy, waiting for packets to arrive. When interesting packets arrive it
will attempt to establish the physical link to the remote site using either
SLIP or PPP, and if it succeeds it will forward traffic from the proxy to
the physical link. As well, diald will monitor traffic once the physical
link is up, and when it has determined that the link is idle, the remote
connection is terminated. The criteria for bringing the link up and taking
it down are configurable at run time, and are based upon the type of traffic
passing over the link.

%prep
%setup -n diald
%patch0
%patch1
%patch2

%build
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make DESTDIR=$RPM_BUILD_ROOT install
install -m755 $RPM_SOURCE_DIR/diald.init $RPM_BUILD_ROOT/etc/rc.d/init.d/diald
mknod -m 0660 $RPM_BUILD_ROOT/dev/diald.ctl p

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add diald

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del diald
fi

%files
%doc BUGS CHANGES LICENSE NOTES README README.ethertap README.masq
%doc THANKS TODO TODO.budget
%config /etc/rc.d/init.d/diald
/dev/diald.ctl
/usr/bin/dctrl
/usr/lib/diald/connect
/usr/lib/diald/diald.defs
/usr/lib/diald/dlog.gif
/usr/lib/diald/down.gif
/usr/lib/diald/dstatus.gif
/usr/lib/diald/gload.gif
/usr/lib/diald/pqueue.gif
/usr/lib/diald/standard.filter
/usr/lib/diald/tload.gif
/usr/lib/diald/transfer.gif
/usr/lib/diald/up.gif
/usr/man/man1/dctrl.1
/usr/man/man5/diald-control.5
/usr/man/man5/diald-examples.5
/usr/man/man5/diald-monitor.5
/usr/man/man8/diald.8
/usr/sbin/diald
